
/**
 * Trieda slúži na definovanie vlastností predmetov v hre.
 */
public class Predmet
{
	// Názov tohto predmetu – jeho zadanie vyžaduje jediný konštruktor.
	private String názov;

	// Slovný opis tohto predmetu – jeho zadanie vyžaduje jediný konštruktor.
	private String opis;

	/**
	 * Konštruktor vyžaduje zadanie názvu a slovného opisu predmetu.
	 */
	public Predmet(String názov, String opis)
	{
		priraďNázov(názov);
		priraďOpis(opis);
	}


	/**
	 * Priradenie nového názvu. Túto metódu používa konštruktor, ale môže
	 * poslúžiť aj na zmenu názvu predmetu počas hry.
	 */
	public void priraďNázov(String novýNázov)
	{
		názov = novýNázov;
	}

	/**
	 * Metóda zistí, či sa názov tohto predmetu zhoduje so zadaným
	 * reťazcom. To je využiteľné pri hľadaní konkrétneho predmetu.
	 */
	public boolean porovnajNázov(String názovNaPorovnanie)
	{
		return názov.equalsIgnoreCase(názovNaPorovnanie);
	}

	/**
	 * Metóda vráti názov tohto predmetu.
	 */
	public String názov()
	{
		return názov;
	}


	/**
	 * Priradenie nového slovného opisu predmetu. Túto metódu používa
	 * konštruktor a môže poslúžiť na zmenu slovného opisu predmetu počas
	 * hry.
	 */
	public void priraďOpis(String novýOpis)
	{
		opis = novýOpis;
	}

	/**
	 * Táto metóda slúži na výpis slovného opisu predmetu na obrazovku.
	 */
	public void vypíšOpis()
	{
		if (null != opis)
			Adventúra.vypíšText(opis);
	}
}
